-- 基础信息
base_info = {
	group_id = 247005017
}

-- DEFS_MISCS
local GroupId = 247005017
local point_id_list = {}
local MainGroupID = 247005001
local RegionID = 17001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 17001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 79.978, y = 0.050, z = 400.149 } }
}

-- 触发器
triggers = {
	{ config_id = 1017001, name = "ENTER_REGION_17001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 17002, pos = { x = 79.928, y = 0.039, z = 413.526 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17003, pos = { x = 76.932, y = 0.039, z = 412.824 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17004, pos = { x = 83.155, y = 0.039, z = 412.940 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17005, pos = { x = 73.020, y = 0.039, z = 411.616 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17006, pos = { x = 87.093, y = 0.039, z = 411.168 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17007, pos = { x = 70.573, y = 0.039, z = 409.117 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17008, pos = { x = 90.328, y = 0.039, z = 409.134 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17009, pos = { x = 69.761, y = 0.039, z = 406.582 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 17010, pos = { x = 90.441, y = 0.039, z = 406.233 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 17011, pos = { x = 69.711, y = 0.039, z = 403.487 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 17012, pos = { x = 79.997, y = 0.039, z = 412.213 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 17013, pos = { x = 75.101, y = 0.039, z = 410.247 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 17014, pos = { x = 85.051, y = 0.039, z = 410.421 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 17015, pos = { x = 71.701, y = 0.039, z = 407.150 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 17016, pos = { x = 89.238, y = 0.039, z = 406.129 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 17017, pos = { x = 72.150, y = 0.039, z = 401.493 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 17018, pos = { x = 88.649, y = 0.039, z = 400.213 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 17019, pos = { x = 75.158, y = 0.039, z = 397.682 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 17020, pos = { x = 85.229, y = 0.039, z = 396.872 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 17021, pos = { x = 79.989, y = 0.039, z = 394.818 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 17022, pos = { x = 69.982, y = 0.039, z = 412.555 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 17023, pos = { x = 90.049, y = 0.039, z = 412.555 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 17024, pos = { x = 69.982, y = 0.039, z = 393.529 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 17025, pos = { x = 90.049, y = 0.039, z = 393.529 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 17026, pos = { x = 71.716, y = 0.039, z = 412.555 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 17027, pos = { x = 91.782, y = 0.039, z = 412.555 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 17028, pos = { x = 71.716, y = 0.039, z = 393.529 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 17029, pos = { x = 91.782, y = 0.039, z = 393.529 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 17030, pos = { x = 67.300, y = 0.039, z = 412.555 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 17031, pos = { x = 87.366, y = 0.039, z = 412.555 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 17032, pos = { x = 67.300, y = 0.039, z = 393.529 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 17033, pos = { x = 87.366, y = 0.039, z = 393.529 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 17034, pos = { x = 78.802, y = 0.039, z = 406.565 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 17035, pos = { x = 81.034, y = 0.039, z = 406.565 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 17036, pos = { x = 76.889, y = 0.039, z = 406.565 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 17037, pos = { x = 83.080, y = 0.039, z = 406.565 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 17038, pos = { x = 75.017, y = 0.039, z = 406.565 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 17039, pos = { x = 84.918, y = 0.039, z = 406.565 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 17040, pos = { x = 76.772, y = 0.039, z = 404.193 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 17041, pos = { x = 82.818, y = 0.039, z = 404.193 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 17042, pos = { x = 81.034, y = 0.039, z = 404.193 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 17043, pos = { x = 78.802, y = 0.039, z = 404.193 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 17044, pos = { x = 84.754, y = 0.050, z = 400.370 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 17001 },
		triggers = { "ENTER_REGION_17001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
